package com.gic.haoban.manage.web.vo.clerktask;

import java.io.Serializable;
import java.util.Date;

public class TaskPlanDetailContentVO implements Serializable {

    /**1私域 2公域*/
    private int contentPublishType;
    /**1小红书 2视频号*/
    private String contentPublishChannels;
    /**1截图 2链接*/
    private String contentUpType;
    /**说明*/
    private String contentRemark;
    /**主题介绍*/
    private String contentIntro;
    /**标题*/
    private String contentTitle;
    /**文案*/
    private String contentTxt;
    /**话题*/
    private String contentTheme;
    /**建议*/
    private String contentAdvise;
    /**单篇奖励1开0关*/
    private int singleAwardFlag;
    /**达标奖励1开0关*/
    private int totalAwardFlag;
    /**统计截止时间*/
    private Date dataEndTime;

    public int getContentPublishType() {
        return contentPublishType;
    }

    public void setContentPublishType(int contentPublishType) {
        this.contentPublishType = contentPublishType;
    }

    public String getContentPublishChannels() {
        return contentPublishChannels;
    }

    public void setContentPublishChannels(String contentPublishChannels) {
        this.contentPublishChannels = contentPublishChannels;
    }

    public String getContentUpType() {
        return contentUpType;
    }

    public void setContentUpType(String contentUpType) {
        this.contentUpType = contentUpType;
    }

    public String getContentRemark() {
        return contentRemark;
    }

    public void setContentRemark(String contentRemark) {
        this.contentRemark = contentRemark;
    }

    public String getContentIntro() {
        return contentIntro;
    }

    public void setContentIntro(String contentIntro) {
        this.contentIntro = contentIntro;
    }

    public String getContentTitle() {
        return contentTitle;
    }

    public void setContentTitle(String contentTitle) {
        this.contentTitle = contentTitle;
    }

    public String getContentTxt() {
        return contentTxt;
    }

    public void setContentTxt(String contentTxt) {
        this.contentTxt = contentTxt;
    }

    public String getContentTheme() {
        return contentTheme;
    }

    public void setContentTheme(String contentTheme) {
        this.contentTheme = contentTheme;
    }

    public String getContentAdvise() {
        return contentAdvise;
    }

    public void setContentAdvise(String contentAdvise) {
        this.contentAdvise = contentAdvise;
    }

    public int getSingleAwardFlag() {
        return singleAwardFlag;
    }

    public void setSingleAwardFlag(int singleAwardFlag) {
        this.singleAwardFlag = singleAwardFlag;
    }

    public int getTotalAwardFlag() {
        return totalAwardFlag;
    }

    public void setTotalAwardFlag(int totalAwardFlag) {
        this.totalAwardFlag = totalAwardFlag;
    }

    public Date getDataEndTime() {
        return dataEndTime;
    }

    public void setDataEndTime(Date dataEndTime) {
        this.dataEndTime = dataEndTime;
    }
}
